Ruby 2.1.5p273(2014-11-13revision48405)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
RBasic Struct Reference

`#include <ruby.h>`

## Data Fields
VALUE | flags
const VALUE | klass

## Detailed Description

Definition at line 747 of file ruby.h.

## Field Documentation

VALUE RBasic::flags

Definition at line 748 of file ruby.h.

Referenced by count_objects(), gc_page_sweep(), internal_object_p(), make_deferred(), setup_fake_str(), and vm_init2().

const VALUE RBasic::klass

Definition at line 749 of file ruby.h.

Referenced by internal_object_p(), and opobj_inspect().

The documentation for this struct was generated from the following file:

- include/ruby/ruby.h